<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$id=$_GET['id'];
$tabla='z_ruta'; // Tabla que se va modificar
$tipo='Ruta'; // Usuario a Modificar
$spe=$_SESSION['perfil'];
$mysqli = connectDB($r);

/* FORMULARIO NUEVO */
if(isset($_POST["nuevo"])){
    $nombre=mb_strtoupper($_POST['nombre']);
    $nombre=mysqli_real_escape_string($mysqli, $nombre);
    if($nombre==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre De la Ruta es Obligatorio</h6></div>';exit();}
    $qry = $mysqli->query("SELECT * FROM $tabla WHERE nombre='$nombre' AND eliminado=0");
    $num = $qry->num_rows;
    if($num!=0){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Este Nombre <b>'.$nombre.'</b> ya fua Asignado a Una ruta</h6></div>';exit();}
    $idrutero=mb_strtoupper($_POST['rutero']);
    $idrutero=mysqli_real_escape_string($mysqli, $idrutero);
    if($idrutero==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Nesesario Obligatorio el Domiciliario</h6></div>';exit();}
    $qry1 = $mysqli->query("SELECT * FROM $tabla WHERE idrutero='$idrutero' AND eliminado=0");
    $num1 = $qry1->num_rows;
    if($num1!=0){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Este Domiciliario Ya pertenece a otra ruta</h6></div>';exit();}
    $fecha = date("Y-m-d H:i:s");    
    $sql="INSERT INTO $tabla (nombre, idrutero, fecha) VALUES ('$nombre','$idrutero','$fecha')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'index.php?msn=La Nueva Ruta <b>"'.$nombre.'"</b> a se a Creado';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}

/* FORMULARIO EDITAR O ACTUALIZAR */
if(isset($_POST["editar"])){
    $id=$_POST['editar'];
    $nombre=mb_strtoupper($_POST['nombre']);
    $nombre=mysqli_real_escape_string($mysqli, $nombre);
    if($nombre==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre De la Ruta es Obligatorio</h6></div>';exit();}
    if($nombre!=""){$mysqli->query("UPDATE $tabla SET nombre='$nombre' WHERE id='$id'");}
    $idrutero=mb_strtoupper($_POST['rutero']);
    $idrutero=mysqli_real_escape_string($mysqli, $idrutero);
    if($idrutero==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Nesesario Obligatorio el Domiciliario</h6></div>';exit();}
    if($idrutero!=""){$mysqli->query("UPDATE $tabla SET idrutero='$idrutero' WHERE id='$id'");}
    echo 'index.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> a sido Actualizado';
    exit();
}

// Reset
/*if(isset($_GET["reset"])) {
$row1 = $mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row1=$row1->fetch_assoc();
$pass=sha1($row1['cedula']);
$mysqli->query("UPDATE $tabla SET contraseña='$pass' WHERE id='$id'");
$mysqli->query("UPDATE $tabla SET cpass='1' WHERE id='$id'");
exit(header("Location: index.php?msn=La Contraseña del $tipo <b>".$row1['nombre']."</b> a sido"));
}
// Eliminar
else*/if(isset($_GET["eliminar"])) {
$row1=$mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row2=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET eliminado='1' WHERE id='$id'");
exit(header("Location: index.php?error=El $tipo <b>".$row2['nombre']."</b> a sido eliminado"));
}/*
// Desactivar
elseif(isset($_GET["desactivar"])) {
$row1 = $mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row1=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET estado='0' WHERE id='$id'");
exit(header("Location: index.php?msn=El $tipo <b>".$row1['nombre']."</b> a sido Desactivado"));
}
// Activar
elseif(isset($_GET["activar"])) {
$row1 = $mysqli->query("SELECT * FROM $tabla WHERE id='$id'");
$row1=$row1->fetch_assoc();
$mysqli->query("UPDATE $tabla SET estado='1' WHERE id='$id'");
exit(header("Location: index.php?msn=El $tipo <b>".$row1['nombre']."</b> a sido Activado"));
}*/
?>